org.kie.internal.runtime.conf

## Enum MergeMode

- java.lang.Object
- - java.lang.Enum<MergeMode>
  - - org.kie.internal.runtime.conf.MergeMode

- All Implemented Interfaces:
    Serializable, Comparable<MergeMode>

      public enum MergeMode
      extends Enum<MergeMode>

  Defines merging strategy of two descriptors

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KEEP_ALL` The 'master' descriptor values are all kept
    `MERGE_COLLECTIONS` The same as OVERRIDE_EMPTY except that collections are merged instead of being overridden
    `OVERRIDE_ALL` The 'slave' descriptor values are all used
    `OVERRIDE_EMPTY` The 'slave' non-empty values override corresponding values of the master, including collections

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MergeMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MergeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEEP_ALL

          public static final MergeMode KEEP_ALL

      The 'master' descriptor values are all kept

    - #### OVERRIDE_ALL

          public static final MergeMode OVERRIDE_ALL

      The 'slave' descriptor values are all used

    - #### OVERRIDE_EMPTY

          public static final MergeMode OVERRIDE_EMPTY

      The 'slave' non-empty values override corresponding values of the master, including collections

    - #### MERGE_COLLECTIONS

          public static final MergeMode MERGE_COLLECTIONS

      The same as OVERRIDE_EMPTY except that collections are merged instead of being overridden

  - ### Method Detail

    - #### values

          public static MergeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MergeMode c : MergeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MergeMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.